#
# spec file for package nagios (Version 1.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  apache2-devel-packages freetype2 freetype2-devel gd gd-devel iputils libjpeg libpng-devel-packages mailx x-devel-packages

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs apache2 apache2-devel apache2-prefork autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gd gd-devel gdbm gettext iputils libapr0 libjpeg libpng libpng-devel libtool mailx perl rpm

Name:           nagios
Summary:        Nagios network monitor
Version:        1.2
Release:        73.4
URL:            http://www.nagios.org/
License:        GPL
Group:          System/Monitoring
Source0:        %{name}-%{version}.tar.bz2
Source1:        rcnagios
Source3:        nagios-httpd.conf
Source4:        nagios-module
Source5:        sysconfig.apache-nagios
Source6:        logrotate
Patch1:         sapmoni.dif
Patch2:         nagios-perl58.dif
Patch3:         content_length.patch
PreReq:         %insserv_prereq %fillup_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define nsusr daemon
%define nsgrp daemon
%define cmdusr nobody
%define cmdgrp www
%define apxs2 apxs2-prefork
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)

%description
Nagios network monitor

Authors:
--------
    Ethan Galstad <nagios@nagios.org>

%package www
Group:          System/Monitoring
Summary:        Nagios network monitor
PreReq:         %fillup_prereq http_daemon
Requires:       nagios gd 

%description www
Nagios network monitor

Authors:
--------
    Ethan Galstad <nagios@nagios.org>

%prep
%setup
%patch1 -p1
%if %suse_version > 800
%patch2
%endif
%patch3

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--with-cgiurl=/nagios/cgi-bin \
	--with-htmurl=/nagios \
	--with-lockfile=/var/run/nagios.pid \
	--with-nagios-user=%{nsusr} \
	--with-nagios-grp=%{nsgrp} \
	--with-command-user=%{cmdusr} \
	--with-command-grp=%{cmdgrp} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix}/sbin \
	--bindir=%{_prefix}/sbin \
	--sbindir=%{_prefix}/lib/nagios/cgi \
	--libexecdir=%{_prefix}/lib/nagios/plugins \
	--datadir=%{_prefix}/share/nagios \
	--sysconfdir=/etc/nagios \
        --with-init-dir=/etc/init.d \
	--localstatedir=/var/log/nagios \
	--with-gd-inc=/usr/include/gd \
	--enable-embedded-perl \
	--with-perlcache 
make all
(cd sample-config;
mv nagios.cfg nagios.tmp;
sed -e 's=/var/log/nagios/rw/=/var/spool/nagios/=' nagios.tmp > nagios.cfg;)
(cd contrib;
make)

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d -m 0775 ${RPM_BUILD_ROOT}/var/spool/nagios
install -d -m 0755 ${RPM_BUILD_ROOT}%{_prefix}/include/nagios
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/init.d
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/httpd
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/httpd/modules/
install -d -m 0755 ${RPM_BUILD_ROOT}/%{apache2_sysconfdir}/conf.d/
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/logrotate.d/
make DESTDIR=$RPM_BUILD_ROOT INSTALL_OPTS="" COMMAND_OPTS="" install
#make DESTDIR=$RPM_BUILD_ROOT INSTALL_OPTS="" COMMAND_OPTS="" install-commandmode
#make DESTDIR=$RPM_BUILD_ROOT INSTALL_OPTS="" COMMAND_OPTS="" INIT_OPTS="" install-daemoninit
make DESTDIR=$RPM_BUILD_ROOT INSTALL_OPTS="" COMMAND_OPTS="" CGICFGDIR=/etc/nagios install-config
for i in $RPM_BUILD_ROOT/etc/nagios/*-sample ; do
  mv $i ${i%%-sample}
done
chown root:%{nsgrp} $RPM_BUILD_ROOT/etc/nagios/resource.cfg
chmod 0640 $RPM_BUILD_ROOT/etc/nagios/resource.cfg
cp -vf sample-config/template-object/minimal.cfg \
       $RPM_BUILD_ROOT/etc/nagios/minimal.cfg-sample
# devel
install -m 0644 common/locations.h ${RPM_BUILD_ROOT}%{_prefix}/include/nagios
#
cd contrib; make INSTALL=install CGIDIR=${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/cgi install
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/lib/nagios/plugins
# install SuSE specials 
cp %{SOURCE3} $RPM_BUILD_ROOT/%{apache2_sysconfdir}/conf.d/nagios.conf
cp %{SOURCE3} $RPM_BUILD_ROOT/etc/httpd/nagios.conf
cp %{SOURCE4} $RPM_BUILD_ROOT/etc/httpd/modules/nagios
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/nagios
ln -sf ../../etc/init.d/nagios $RPM_BUILD_ROOT/usr/sbin/rcnagios
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/nagios

%post
%{fillup_and_insserv nagios}

%preun
%stop_on_removal nagios

%postun
%restart_on_update nagios
%{insserv_cleanup}

%post www
%{fillup_only -na apache}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%defattr(755,%{nsusr},%{nsgrp})
%dir /var/log/nagios
%dir /var/log/nagios/archives
%defattr(2775,%{nsusr},%{cmdgrp})
%dir /var/spool/nagios
%defattr(755,root,root)
%config /etc/init.d/nagios
/usr/sbin/rcnagios
/usr/sbin/p1.pl
%dir /etc/nagios
%dir %{_prefix}/include/nagios
%{_prefix}/sbin/nagios
%defattr(-,root,-)
%{_prefix}/include/nagios/locations.h
%config(noreplace) /etc/nagios/*
%config /etc/logrotate.d/nagios
%doc Changelog LICENSE README* UPGRADING

%files www
%defattr(755,root,root)
%dir %{_prefix}/lib/nagios/cgi
%{_prefix}/lib/nagios/cgi/*
%dir %{_prefix}/share/nagios
%defattr(-,root,root)
%{_prefix}/share/nagios/*
%dir %{apache2_sysconfdir}/conf.d
%config(noreplace) %{apache2_sysconfdir}/conf.d/*
%config(noreplace) /etc/httpd/nagios.conf
/etc/httpd/modules/nagios
/var/adm/fillup-templates/sysconfig.apache-nagios

%changelog -n nagios
* Wed May 03 2006 - stark@suse.de
- fixed possible buffer overflow in CGI scripts (#140494)
  (CVE-2006-2162)
* Tue Feb 03 2004 - stark@suse.de
- update to nagios 1.2
* Thu Sep 18 2003 - stark@suse.de
- /usr/lib/nagios and /usr/lib/nagios/plugins are owned
  by root (#31100)
* Mon Sep 08 2003 - stark@suse.de
- add apache2 config-files, require http_daemon
  and need apache2-devel-packages for build (#30157)
* Wed Aug 27 2003 - ro@suse.de
- remove traceroute-lbl from neededforbuild
  traceroute from net-tools is used anyway
* Mon Aug 18 2003 - stark@suse.de
- added activation meta-data to sysconfig (#28830)
* Fri Aug 15 2003 - poeml@suse.de
- change cmdgrp from nogroup to www (the group apache now runs
  under) [#21782]
- implement try-restart correctly
* Thu Jul 31 2003 - stark@suse.de
- use stop/restart macros
* Tue Jul 29 2003 - aj@suse.de
- Fix chown invocation.
* Fri Jul 25 2003 - stark@suse.de
- added bugfixes
* Thu Jun 12 2003 - kukuk@suse.de
- Make sure plugin directory exist
* Thu Jun 12 2003 - kukuk@suse.de
- Add nagios libdir to filelist
* Wed Jun 04 2003 - stark@suse.de
- update to bugfix release 1.1
  * File descriptor leak in file-based performance routines
  * Timestamp fix for PostgreSQL 7.3
  * Minor bug fixes to cmd and history CGIs
  * Minor documentation fixes
* Mon Jan 13 2003 - stark@suse.de
- added sysconfig-metadata (#22607)
* Mon Dec 02 2002 - stark@suse.de
- adopted sapmoni.dif for gcc 3.3
* Mon Nov 25 2002 - stark@suse.de
- update to 1.0 final
  * Minor bug fixes in CGIs
  * Minor doc updates
  * Bug fix for flex host downtime
  * Embedded perl bug fixe for arguments with spaces
  * Host escalation logic fix
* Tue Oct 15 2002 - stark@suse.de
- running pre-flight configuration check always when
  starting nagios (#20916)
- added logrotate definitions for logfiles
- fixed embedded perl (#20916) (thanks to mls)
* Mon Sep 23 2002 - stark@suse.de
- update to 1.0b6
  * Added wildcards and multiple hosts/hostgroups to host dependency
  and service dependency definitions
  * Added wildcard support for members directive in hostgroup
  definitions
  * Minor bug fixes and cleanups in CGIs
  * Minor cleanups in the core
  * New version of snprintf() included that supports %%f
  * Notification interval for escalations now defaults to
  non-escalated value
* Fri Aug 23 2002 - stark@suse.de
- update to 1.0b5
  * Fixed memory leak related to processing of passive checks
  * Memory leak fixes in the CGIs
  * Minor interface changes to the status and TAC CGIs
  * Bug fix in the notification CGI
  * Added minimalistic sample object config file (minimal.cfg)
* Fri Aug 16 2002 - stark@suse.de
- added PreReq (Bug #17938 #17939)
* Mon Aug 12 2002 - stark@suse.de
- updated sapmoni patch to provide documentation
* Mon Aug 12 2002 - mls@suse.de
- made it work with threaded perl-5.8
* Thu Aug 08 2002 - stark@suse.de
- added patch to be able to use nagios-plugins-sap
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 05 2002 - stark@suse.de
- update to 1.0b4
  * Address field in host definitions is now optional in
  template-based config format. Defaults to host name if not
  specified.
  * Fixed memory leak when processing passive checks
  * Added illegal_macro_output_chars variable to main config file
  to allow for stripping dangerous shell characters from plugin
  output
* Wed Jun 12 2002 - stark@suse.de
- removed -devel subpackage and moved the file to main-package
* Mon Jun 10 2002 - stark@suse.de
- update to 1.0b3
  * Bug fixes in template-based object code
  * Bug fix in tac CGI for counting host and service states
  properly
  * Default is now to check for external commands as often as
  possible
  * Ping syntax for WAP interface moved to CGI config file
  * Command file user/group defaults to Nagios user/group unless
  overridden with configure script options
  * Sample template-based object config file fixes
* Tue May 28 2002 - stark@suse.de
- update to 1.0b2
  * Fixed bug with escaping strings for DB support
  (MySQL & PostgreSQL)
  * Several bug fixes in template-based object code
  * Multiple hostgroups supported in host and service escalations
  * Wildcard support in service, service escalation, and host
  escalation definitions
* Thu May 23 2002 - stark@suse.de
- install config-file templates
* Wed May 22 2002 - stark@suse.de
- initial version of Nagios (the successor of NetSaint)
